petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESFASSetNumberSmoothUp

Sets the number of post-smoothing steps to use on all levels.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetNumberSmoothUp(SNES snes, PetscInt n)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| n | - the number of smoothing steps

### Options Database Key

-snes_fas_smoothup <n> -Sets number of pre-smoothing steps

### Keywords

FAS, MG, smooth, down, pre-smoothing, steps, multigrid

### See Also

SNESFASSetNumberSmoothDown()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages